R4i DSi LL v1.45 - Help.

Discussion in 'R4 DS' started by sPiDeRz, Nov 12, 2010.

Nov 12, 2010

R4i DSi LL v1.45 - Help. by sPiDeRz at 5:18 AM (14,881 Views / 0 Likes) 20 replies

  1. sPiDeRz
    OP

    Newcomer sPiDeRz Newbie

    Joined:
    Nov 12, 2010
    Messages:
    5
    Country:
    United States
    Hi there,
    My daughter was recently given a R4i DSi LL 1.45 (Blue card) which worked well for a few days, i then without doing any research on firmware updated the firmware on her DSi to 1.4.1A and has blocked the card.
    I've tried using the "firmware" made available at the cards website ndsill.net but it doesnt seem to work.

    Heres an image of the card she has:
    [​IMG]

    Heres what's on my SDcard folder file wise: Only what was within the .zip from the above website.

    Data (Folder)
    dsxreader (Folder)
    moonshl2 (Folder)
    NDSMAIL (Folder)
    Plugins (Folder)
    Skin (Folder)
    SYSTEM (Folder)
    iLL.iL (File)
    skin.ini (File)
    TTMENU.SYS (File)

    I would like to get this to work again as shes really disappointed about it not working but if its no hope i wil just end up buying a new Acekard.

    Cheers for any help.
     


  2. ShadowSoldier

    Member ShadowSoldier GBAtemp Guru

    Joined:
    Oct 8, 2009
    Messages:
    9,383
    Country:
    Canada
    Your site says there's an update for it that lets you play on 1.4.1U DSi's?
     
  3. sPiDeRz
    OP

    Newcomer sPiDeRz Newbie

    Joined:
    Nov 12, 2010
    Messages:
    5
    Country:
    United States
    Yup but for the life of me i cannot get it to work.
    I select the card on the DSi like a normal game and then i get a black screen with the "An error has ocurred"

    The only files on the SDcard are those from the .zip at that website, nothing else.
     
  4. ShadowSoldier

    Member ShadowSoldier GBAtemp Guru

    Joined:
    Oct 8, 2009
    Messages:
    9,383
    Country:
    Canada
    That link you showed, it shows an entirely different card though... for R4i 1.46 or something. Not the same packaging or anything as yours..
     
  5. Snailface

    Member Snailface My frothing demand for 3ds homebrew is increasing

    Joined:
    Sep 20, 2010
    Messages:
    4,324
    Location:
    Engine Room with Cyan, watching him learn.
    Country:
    Antarctica
    You'll need a regular DS to apply the update to your card, if there is one.
     
  6. sPiDeRz
    OP

    Newcomer sPiDeRz Newbie

    Joined:
    Nov 12, 2010
    Messages:
    5
    Country:
    United States
    It was the website on the box. oh well looks like i'll have to invest in a decent card...
     
  7. Totoy_Kamote

    Member Totoy_Kamote GBAtemp Advanced Fan

    Joined:
    Oct 7, 2010
    Messages:
    516
    Location:
    Down Under Hate,KillandDESTROY
    Country:
    Philippines
  8. Snailface

    Member Snailface My frothing demand for 3ds homebrew is increasing

    Joined:
    Sep 20, 2010
    Messages:
    4,324
    Location:
    Engine Room with Cyan, watching him learn.
    Country:
    Antarctica
    Wow, I actually have this card (different color though). I'll see if I can get mine to work. Hopes aren't high though.
     
  9. ShadowSoldier

    Member ShadowSoldier GBAtemp Guru

    Joined:
    Oct 8, 2009
    Messages:
    9,383
    Country:
    Canada
    I went to it, it shows a green card, green packaging, talks about 1.46, and the downloads are german...

    \

    His problem isn't playing games, it's his DSi blocked the card...
     
  10. sPiDeRz
    OP

    Newcomer sPiDeRz Newbie

    Joined:
    Nov 12, 2010
    Messages:
    5
    Country:
    United States
    My guess would be that the blue one is an older model and the green one is the latest one they've released.
    idk i didnt buy the card it was given to my daughter via grandpa.
     
  11. ShadowSoldier

    Member ShadowSoldier GBAtemp Guru

    Joined:
    Oct 8, 2009
    Messages:
    9,383
    Country:
    Canada
    Maybe there isn't an update released for that card for 1.4.1u. I wouldn't hold it against R4 as when an update comes out, they prefer to just release a whole new card for people to buy.

    Has the card been updated before? And not just the kernel, I mean the actual firmware. So it can run on the newest DSi firmware...
     
  12. sPiDeRz
    OP

    Newcomer sPiDeRz Newbie

    Joined:
    Nov 12, 2010
    Messages:
    5
    Country:
    United States
    No idea, i do believe grandpa got it from a friend who preloaded it with various games, i know it worked once we got it and then i updated the DSi not knowing about these blocks and what not.

    Since then i've trying everything to fix it, formatting the SDcard, uploading firmware and all that.
     
  13. Snailface

    Member Snailface My frothing demand for 3ds homebrew is increasing

    Joined:
    Sep 20, 2010
    Messages:
    4,324
    Location:
    Engine Room with Cyan, watching him learn.
    Country:
    Antarctica
    Didn't work for me. Showed up as Star Wars: Lethal Alliance then went to error screen upon loading. Blocked. I would suggest an Acekard 2i for your daughter sir just $15 no tax no shipping / not trying to advertise just being honest
     
  14. ShadowSoldier

    Member ShadowSoldier GBAtemp Guru

    Joined:
    Oct 8, 2009
    Messages:
    9,383
    Country:
    Canada
    Yeah so the R4 he/she has must not be able to be updated. Not surprising considering it's an R4... Unless its an original, there's no point in owning an R4 of any type..
     
  15. CalamityDjenn

    Member CalamityDjenn GBAtemp Regular

    Joined:
    Nov 7, 2010
    Messages:
    162
    Location:
    Quimperlé
    Country:
    France
    First of all, be sure to use a firmware with this system structure :

    [​IMG]

    The firmwares you can use are below but I'm not sure we can find a real one for 1.4.1 atm (but it might be released next month) :

    www.ndsill.net - the last kernel V1.4.1 (should be 2.05)
    R4i-sdhc.com.tw - V1.4.1B (you got 2.05 & 2.07 as well. Mine is from this website)
    R4i-sdhc.com - V1.8

    The problem with our website's constructor is it refers to www.r4igold.cn in the FAQ page, but this one is using a kernel type like the last 1.27b (_system_ folder etc.)...

    In any case when you got to update the firmware you got much more choice with asian website from other brands, they release more updates [​IMG] Some of them are unstable (their developers got two left foot as hands...) BUT you got really good ones. Have a look on these few websites, and google to find more! [​IMG] You got to download and see if the system structure match with the original you have to use!

    The firmware for R4i Gold clones working with 1.4.1 use a different system; its last firmware is 1.27b (like the one from www.r4i-sdhc.com). It would not work as native on our linker.
    The one I recommand you to test is R4i-sdhc.com.tw - 2.07.

    I've got 1.41E on my DSi XL, using a 2.05 update.

    If anyone knows how we could use a R4i Gold kernel (all the one with the _system_ folder on it) onto those kind of cards, please help [​IMG] The PCB of this card is blue, with "i" on the left, "LLI" middle and "4" right written on it, above the "pins" [​IMG]

    Edit : for firmwares we are talking about, they use R4i.TP file which I guess is our iLL.il. If you got problems, you can try to rename the file or copy yours on your micro SD card and do renaming tricks.
    During your research, don't pay too much attention about packaging and versions on the box. For exemple, all cards from www.ndsill.net, www.r4igold.cn, r4i-sdhc.com.tw, etc... Boxes are respectively bleu and green, gold, red and they use the same kernel. So, download and analyse the system files, then you would be sure if you can use it or not [​IMG]
     
  16. Rydian

    Member Rydian Resident Furvert™

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    The problem is with the ACTUAL firmware of the cart itself. All the system menu files and folders that people refer to as "firmware" is actually the OS. Updating that will not work. These two things need to happen.

    1 - There needs to be an update for the actual firmware.
    2 - The update needs to be run on another DS, since his won't currently run the card (in order to run the update).

    If number 1 doesn't exist, you're fucked. If the card cannot be updated, it will never work in that DS again.

    R4 clones tend to not use cards that can have their actual firmware upgraded for two reasons.

    1 - They cost more than ones that can't be updated.
    2 - If the old card gets blocked then you can just tell your customers to buy a new one...
     
  17. jirolawliet

    Newcomer jirolawliet Newbie

    Joined:
    Dec 31, 2009
    Messages:
    5
    Country:
    Philippines
    i bought the green one from ndsill.net with the 1.6 label on the sticker, then it worked well until i've decided to upgrade it to 1.4.1 since the manufacturer said that the green one works well in 1.4.1 system, only to find out that it was blocked, so the question, is the green one blocked or am I the one who is experiencing this?
     
  18. cyberbot

    Newcomer cyberbot Newbie

    Joined:
    Dec 27, 2010
    Messages:
    1
    Country:
    United States
    i've got the same issue and still hoping to get one new relase,
    have you got this solved or not yet?
    thank you
     
  19. dianaxf

    Newcomer dianaxf Newbie

    Joined:
    Aug 15, 2011
    Messages:
    2
    Country:
    Portugal
    I really need this file: iLL.iL (File)

    Can anybody please send it to me? My R4 is the v1.45 ( Same as Spiderz )
     
  20. Buleste

    Member Buleste Old Fart

    Joined:
    Dec 19, 2010
    Messages:
    852
    Country:
    United Kingdom
    Download RetroGameFans multi cart update and unpack the R4SDHC folder onto the root of your card and rename the TTMenu.dat to ill.il.

    If you are looking to update your ndsill cart so that it works on the latest DSi/3DS firmware then you are screwed.
     

Share This Page